<?php

include ("../conexion.php");
    
require_once '../dompdf/autoload.inc.php';


require_once '../dompdf/lib/html5lib/Parser.php';
require_once '../dompdf/lib/php-font-lib/src/FontLib/Autoloader.php';
require_once '../dompdf/lib/php-svg-lib/src/autoload.php';
require_once '../dompdf/src/Autoloader.php';
Dompdf\Autoloader::register();

use Dompdf\Dompdf;
				$cantidadexiact=0; 
				$cantidadfam  =0; 
				$importefam   =0;
				$mondesfam    =0;
				$impuestofam  =0;
				$totalfam     =0;
				$total        =0;

				

$codigoHTML='

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">





<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Lista</title>

</head>

   <script type="text/php">


        if ( isset($pdf) ) {

          $font = Font_Metrics::get_font("helvetica", "bold");
          $pdf->page_text(72, 18, "Header: {PAGE_NUM} of {PAGE_COUNT}", $font, 6, array(0,0,0));

        }
        
</script>
<body>
<div align="center">
  <p>&nbsp;</p>';
  
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $NombreComercial =  $row_para["NOMCOM"];
	   $razsoc          =  $row_para["RAZSOC"];
	   $Direccion       =  $row_para["DIREMP"];
	   $Cedula          =  $row_para["CEDJUR"];
	   $Telefono        =  $row_para["NUMTEL"];

$codigoHTML='
    <table width="100%"  cellpadding="0" cellspacing="0"  border="0">
      <tr>
        <td width="13%" rowspan="4"><img src="../img/Logo_reportes.png"  /></td>
        <td width="87%"><font color="red" size=4><strong>'.$NombreComercial.'</strong></font></td>
      </tr>
      <tr>
        <td height="12"><font size=2 >Cedula '.$Cedula.'</font></td>
      </tr>
      <tr>
        <td height="12"><font size=2 >'.$Direccion.'</font></td>
      </tr>
      <tr>
        <td height="22"><font size=2 >Numero de Telefono '.$Telefono.'</font></td>
      </tr>
    </table>';
  
   
	 $fecini    = $_GET["fechainicio"];
	 $fecfin    = $_GET["fechafin"];
	 $cdgfam    = $_GET["Familia"];
	 //$cdglin    = $_GET["Linea"];
	 $cdglin    = "";
	 $cdgcli    = $_GET["cdgcli"];
	 
	$horaini      =$_GET["horaini"];
	$horafin      =$_GET["horafin"];
	//$cdgcaj      =$_GET["cdgcaj"];


	 
	 $fechainicio= implode("-", array_reverse(explode("-", $fecini))); 
 	 $fechafin= implode("-", array_reverse(explode("-", $fecfin))); 
	 

/**********************HORA DE INICIO******************************/
if  ( $horaini<> "" ){

			$hora_ini = substr($horaini, 0, -5);// se le quitan los ultimos 5 caracteres (04:45AM)
			$minutos_ini = substr($horaini, 2, -2);// 
			$minutos_ini = str_replace ( ":", '', $minutos_ini); // le quito los dos puntos a los minutos y los agrego al final
	$tarde_ini  = substr($horaini,-2);//  devuelve am o pm

		if ($tarde_ini=="pm"){
		
				if  ($hora_ini=='1'){$hora_ini=13;}
			else if ($hora_ini=='2'){$hora_ini=14;}
			else if ($hora_ini=='3'){$hora_ini=15;}
			else if ($hora_ini=='4'){$hora_ini=16;}
			else if ($hora_ini=='5'){$hora_ini=17;}
			else if ($hora_ini=='6'){$hora_ini=18;}
			else if ($hora_ini=='7'){$hora_ini=19;}
			else if ($hora_ini=='8'){$hora_ini=20;}
			else if ($hora_ini=='9'){$hora_ini=21;}
			else if ($hora_ini=='10'){$hora_ini=22;}
			else if ($hora_ini=='11'){$hora_ini=23;}
			else if ($hora_ini=='12'){$hora_ini=12;}

	}
	
			if ($tarde_ini=="am"){
		
				if  ($hora_ini=='1'){$hora_ini='01';}
			else if ($hora_ini=='2'){$hora_ini='02';}
			else if ($hora_ini=='3'){$hora_ini='03';}
			else if ($hora_ini=='4'){$hora_ini='04';}
			else if ($hora_ini=='5'){$hora_ini='05';}
			else if ($hora_ini=='6'){$hora_ini='06';}
			else if ($hora_ini=='7'){$hora_ini='07';}
			else if ($hora_ini=='8'){$hora_ini='08';}
			else if ($hora_ini=='9'){$hora_ini='09';}
			else if ($hora_ini=='12'){$hora_ini='00';}

	}
	
	
	
$horaini= $hora_ini.':'.$minutos_ini;


}
/**********************HORA DE FIN******************************/
if  ( $horafin<> "" ){

			$hora_fin = substr($horafin, 0, -5);// se le quitan los ultimos 5 caracteres (04:45AM)
			$minutos_fin = substr($horafin, 2, -2);// 
			$minutos_fin = str_replace ( ":", '', $minutos_fin); // le quito los dos puntos a los minutos y los agrego al final
			$tarde_fin  = substr($horafin,-2);//  devuelve am o pm

		if ($tarde_fin=="pm"){
		
				if  ($hora_fin =='1'){$hora_fin =13;}
			else if ($hora_fin =='2'){ $hora_fin =14;}
			else if ($hora_fin =='3'){$hora_fin =15;}
			else if ($hora_fin =='4'){$hora_fin =16;}
			else if ($hora_fin =='5'){$hora_fin =17;}
			else if ($hora_fin =='6'){$hora_fin =18;}
			else if ($hora_fin =='7'){$hora_fin =19;}
			else if ($hora_fin =='8'){$hora_fin =20;}
			else if ($hora_fin =='9'){$hora_fin =21;}
			else if ($hora_fin =='10'){$hora_fin =22;}
			else if ($hora_fin =='11'){$hora_fin =23;}
			else if ($hora_fin =='12'){$hora_fin =12;}

	}
	
				if ($tarde_fin=="am"){
		
				if  ($hora_fin =='1'){$hora_fin ='01';}
			else if ($hora_fin =='2'){$hora_fin ='02';}
			else if ($hora_fin =='3'){$hora_fin ='03';}
			else if ($hora_fin =='4'){$hora_fin ='04';}
			else if ($hora_fin =='5'){$hora_fin ='05';}
			else if ($hora_fin =='6'){$hora_fin ='06';}
			else if ($hora_fin =='7'){$hora_fin ='07';}
			else if ($hora_fin =='8'){$hora_fin ='08';}
			else if ($hora_fin =='9'){$hora_fin ='09';}
			else if ($hora_fin =='12'){$hora_fin =24;}

	}
	
	

	
$horafin= $hora_fin .':'.$minutos_fin;



}


/****************************************************/



	
	$where="1=1 AND	vista_reporte_familias_notas.estadoComprobanteIntegracion <> 3";
	


if (($fechainicio<>"") and ($fechafin<>"")) {
	$where.=" AND vista_reporte_familias_notas.fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
		$where.=" and  vista_reporte_familias_notas.fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
			$where.=" and  vista_reporte_familias_notas.fecfac <='".$fechafin."'";
		}
	}
}


	 if (($horaini<>"") and ($horafin<>"")) {
	 $where.=" AND vista_reporte_familias_notas.horfac between '".$horaini."' AND '".$horafin."'";
} else {
	if ($horaini<>"") {
	 	$where.=" AND vista_reporte_familias_notas.horfac>='".$horaini."'";
	} else {
		if ($horafin<>"") {
		$where.=" AND vista_reporte_familias_notas.horfac<='".$horafin."'";
		}
	}
}
 /////////////////////////   FILTRO COMBINADO FECHAS Y HORAS /////////////////////////////////////////////////////////

if (($fechainicio<>"") and ($fechafin<>"") and ($horaini<>"") and ($horafin<>"")) {

 $where="";
$where="1=1 AND	vista_reporte_familias_notas.estadoComprobanteIntegracion <> 3";

$fecinicioHORA = $fechainicio."T".$horaini.":00";

$fecfinHORA = $fechafin."T".$horafin.":00";

$where.=" AND vista_reporte_familias_notas.fechac >='".$fecinicioHORA."' AND vista_reporte_familias_notas.fechac <='".$fecfinHORA."'" ;

}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
//if ($cdgcaj <> "") { $where.=" AND vista_reporte_familias_notas.cdgcaj='$cdgcaj'"; }
if ($cdgfam <> "") { $where.=" AND  vista_reporte_familias_notas.cdgfam='$cdgfam'"; }
//if ($cdglin <> "") { $where.=" AND  vista_reporte_familias_notas.cdglin='$cdglin'"; }
if ($cdgcli<> "") { $where.=" AND vista_reporte_familias_notas.cdgcli='$cdgcli'"; }





 $fechainicio= implode("-", array_reverse(explode("-", $fecini))); 
 $fechafin= implode("-", array_reverse(explode("-", $fecfin))); 

//$where.=" ORDER BY fecfac ASC";					
if ($cdgfam=="") {
	 
	$dscfam="TODAS LAS FAMILIAS";
	 
	     } else {

		
					$query_facturas = "SELECT * FROM familias WHERE cdgfam=$cdgfam ";
					$rs_facturas = $mysqli->query($query_facturas);
					$row = $rs_facturas->fetch_assoc();
					
					$dscfam = $row["dscfam"];
		
		
     }	
	 
	 
	  if ($cdgcli=="") {
	 
	 $nomcli="TODOS LOS CLIENTES";
	 
	     } else {


	   $query_codcaj="SELECT DSCCLI FROM web_0301  WHERE CDGCLI=$cdgcli ";
       $resultado = $mysqli->query( $query_codcaj);
       $row = $resultado->fetch_array();
        
		$nomcli   = $row["DSCCLI"];
	
     }
	 
	 

	 
	 $codigoHTML.='
  <table width="100%" height="16%" border="1" cellpadding="0" cellspacing="0" >
      <tr>
      <td width="100%" height="21" colspan="3" align="center"><font size=3 ><strong>Reporte Ventas por Familia '.$dscfam.' </strong></font></td>
      </tr>
      <tr>
        <td height="14" colspan="3" align="center">Fecha del <font size="2" >'.$fecini.'</font> al <font size="2" >'.$fecfin.'  '.$nomcli.'</font> </td>
      </tr>
  </table>
  ';
	
	
	 $codigoHTML.='
<table width="100%" role="rows" cellpadding="0" cellspacing="0" border="1">
    <tr>
    
        <td width="20%"  align="center"bgcolor="#CCCCCC" ><font size=1 ><strong>Codigo</strong></font></td>
		<td width="120%" align="center" bgcolor="#CCCCCC"><font size=1 ><strong>Articulo</strong></font></td> 
		<td width="20%" align="center" bgcolor="#CCCCCC"><font size=1 ><strong>Existencia</strong></font></td> 
	    <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Cantidad </strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Subtotal</strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Descuento</strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Impuesto </strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Total </strong></font></td>
 
    </tr>
  </table>';
          
		  

	
	
	  $consulta2 = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad,  vista_reporte_familias_notas.cdgfam, vista_reporte_familias_notas.borrado, vista_reporte_familias_notas.codigo, web_1001.dscart, web_1001.EXIACT, vista_reporte_familias_notas.fecfac , familias.dscfam FROM vista_reporte_familias_notas,familias, web_1001 WHERE web_1001.cdgbar=vista_reporte_familias_notas.codigo AND vista_reporte_familias_notas.cdgfam=familias.cdgfam AND vista_reporte_familias_notas.borrado=0   AND ".$where. " GROUP BY  vista_reporte_familias_notas.codigo  ORDER BY  vista_reporte_familias_notas.cdgfam,  vista_reporte_familias_notas.dscart ASC " ;
	 
	 		 
			 
			 
		  		//  $consulta2="SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad, factulinea.cdgfam, factulinea.borrado, factulinea.codigo,  web_1001.dscart, factulinea.fecfac , familias.dscfam FROM factulinea,familias, web_1001 WHERE   web_1001.cdgbar=factulinea.codigo AND   factulinea.cdgfam=familias.cdgfam AND factulinea.borrado=0   AND ".$where. " GROUP BY  factulinea.codigo  ORDER BY  factulinea.cdgfam,  factulinea.dscart ASC " ;
				  		
		
		if ($resultado3 = $mysqli->query($consulta2)) 		
		if($dato = $resultado3->fetch_assoc()){ 
      	$cdgfam_actual = $dato['cdgfam']; } 
      	$count  = 0;	
	    $contador=0;	
		if ($resultado2 = $mysqli->query($consulta2)) 
		
		  
  		while ($dato1 = $resultado2->fetch_assoc()) {     //  si encuentra datos
				$fecha      = $dato1['fecfac'];
 				$fecfac= implode("-", array_reverse(explode("-", $fecha))); 	
				$fecha2      = $dato1['fecfac'];
				$fecfac= implode("-", array_reverse(explode("-", $fecha2))); 
				$codigo     = $dato1['codigo'];
	            $cdgfam     = $dato1['cdgfam'];
				$dscfam     = $dato1['dscfam'];
		     	$dscart     = $dato1['dscart'];
				$cantidad   = $dato1['cantidad'];
				$exiact   = $dato1['EXIACT'];
				$dscart     = substr($dscart, 0, 80);		
	
				if ($cdgfam_actual==$cdgfam) {   // si el codigo de famiia es distinto al siguiente
				
				$exiact   = $dato1['EXIACT'];
				$cantidad   = $dato1['cantidad'];
				$importe    = $dato1['importe'];
				$mondes     = $dato1['mondes'];
				$impuesto   = $dato1['impuesto'];
				
				$total=$importe + $impuesto - $mondes ;
				
				$cantidadexiact=$cantidadexiact+$exiact;
				$cantidadfam=$cantidadfam+$cantidad; 
				$importefam=$importefam+$importe;
				$mondesfam=$mondesfam+$mondes;
				$impuestofam=$impuestofam+$impuesto;
				$totalfam=$importefam-$mondesfam+$impuestofam;
			
	  } 	    //  cierra codigo de familia distinto 	

          if ($contador==0){ 


  $codigoHTML.='
  <table width="100%"  rules="none" border="0">
    
      <tr>
        <td width="100%"> <strong> <font size=2 >'.$cdgfam.' - '.$dscfam.'</font></strong></td>
        <td width="18%">  <font size=2 ></font></td>
   	    <td width="9%">  <font size=1 align="right"></font></td>
   	    <td width="75%">  <font size=1 align="left"></font></td>
		<td width="5%" align="center">  <font size=1 ></font></td>
        <td width="20%" align="right">  <font size=1 ></font></td>
        <td width="20%" align="right">  <font size=1 ></font></td>
		 <td width="20%" align="right">  <font size=1 ></font></td>


      </tr>

      
  </table>';


 } 


				 if($count == 0   )		
                $codigoHTML.='<table width="100%"  rules="none" border="0">';
				
				
							
			if ($cdgfam <>  $cdgfam_actual  ){ 
				
			 $cdgfam_actual = $dato1['cdgfam'];
				 
				 
				 $codigoHTML.='
   
     
      <tr>
 		<td width="100%" height="12" align="right"><font size=2 ></font></td>
		<td width="20%" align="center">  <font size=1 ></font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>		
      	  </tr>

      <tr>
 		<td width="104%" height="12" align="right"><strong><font size=2 > Subtotal Familia</font></strong></td>
		<td width="5%" align="center">&nbsp;</td>
		<td width="20%" align="right">  <strong><font size=1 >'.number_format($cantidadexiact, 2).'</font></strong></td>
		<td width="20%" align="right">  <strong><font size=1 >'.number_format($cantidadfam, 2).'</font></strong></td>
		<td width="20%" align="right">  <strong><font size=1 >'.number_format($importefam, 2).'</font></strong></td>
        <td width="20%" align="right">  <strong><font size=1 >'.number_format($mondesfam, 2).'</font></strong></td>
	    <td width="20%" align="right">  <strong><font size=1 >'.number_format($impuestofam, 2).'</font></strong></td>
        <td width="20%" align="right">  <strong><font size=1 >'.number_format($totalfam, 2).'</font></strong></td>

      </tr>';
  
  $codigoHTML.='
  
    
      <tr>
        <td width="100%"><strong>  <font size=2 >'.$cdgfam.' - '.$dscfam.'</font></strong></td>
        <td width="18%">  <font size=2 ></font></td>
   	    <td width="9%">  <font size=1 align="right"></font></td>
   	    <td width="75%">  <font size=1 align="left"></font></td>
		<td width="5	%" align="center">  <font size=1 ></font></td>
        <td width="20%" align="right">  <font size=1 ></font></td>
        <td width="20%" align="right">  <font size=1 ></font></td>
		 <td width="20%" align="right">  <font size=1 ></font></td>


      </tr>';
	  			$cantidadexiact =0;
				$cantidadfam =0;
				$importefam  =0;
				$mondesfam   =0;
				$impuestofam =0;
				$totalfam    =0;
				$total       =0;
		
				$exiact   = $dato1['EXIACT'];
				$cantidad   = $dato1['cantidad'];
				$importe    = $dato1['importe'];
				$mondes     = $dato1['mondes'];
				$impuesto   = $dato1['impuesto'];
				
				$total=$importe + $impuesto - $mondes ;
				
				$cantidadexiact=$cantidadexiact+$exiact;
				$cantidadfam=$cantidadfam+$cantidad; 
				$importefam=$importefam+$importe;
				$mondesfam=$mondesfam+$mondes;
				$impuestofam=$impuestofam+$impuesto;
				$totalfam=$importefam-$mondesfam+$impuestofam;
			
			
			
 } 
				
				

$codigoHTML.='

    
	
	
      <tr>

        <td width="20%">  <font size=1 >'.$codigo.'</font></td>
   	    <td width="100%">  <font size=1 align="right">'.$dscart.'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($exiact, 3).'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($cantidad, 3).'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($importe, 2).'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($mondes, 2).'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($impuesto, 2).'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($total, 2).'</font></td>
 </tr>';

	    $contador++;
  	   $count++;
       }
   
        if($count > 1) 
            $codigoHTML.='</table>';
			


	   $consulta3 = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad, SUM(web_1001.EXIACT) AS EXIACT FROM vista_reporte_familias_notas,familias, web_1001 WHERE web_1001.cdgbar=vista_reporte_familias_notas.codigo AND vista_reporte_familias_notas.cdgfam=familias.cdgfam AND vista_reporte_familias_notas.borrado=0   AND ".$where ;

      // $consulta3= ("SELECT  SUM(importe) AS importe, SUM(mondes) AS mondes , SUM(impuesto) AS impuesto ,  SUM(cantidad) AS cantidad, factulinea.cdgfam, familias.cdgfam FROM factulinea, familias WHERE borrado=0 AND  factulinea.cdgfam = familias.cdgfam  AND ".$where);

		if ($resultado3 = $mysqli->query($consulta3)) 

  	 while ($row = $resultado3->fetch_assoc()) {
  						
				$cantidad   = $row['cantidad'];
				$importe    = $row['importe'];
				$mondes     = $row['mondes'];
				$impuesto   = $row['impuesto'];
				$EXIACT   = $row['EXIACT'];
				$total=$importe - $mondes + $impuesto;
	 
	 }  
				 $codigoHTML.='
   <table width="100%"  rules="none" border="0">
      <tr>
 		<td width="20%" height="12" align="right"><font size=2 ></font></td>
		<td width="100%" align="center">  <font size=1 ></font></td>
        <td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
		<td width="20%" align="right">  <font size=1 >_______________</font></td>
      </tr>

      <tr>
  		<td width="100%" height="12" align="right"><strong><font size=2 > Subtotal Familia</font></strong></td>
		<td width="100%" align="center">&nbsp;</td>
		<td width="20%" align="right">  <font size=1 >'.number_format($cantidadexiact, 3).'</font></td>
		<td width="20%" align="right">  <font size=1 >'.number_format($cantidadfam, 3).'</font></td>
		<td width="20%" align="right">  <strong><font size=1 >'.number_format($importefam, 2).'</font></strong></td>
        <td width="20%" align="right">  <strong><font size=1 >'.number_format($mondesfam, 2).'</font></strong></td>
	    <td width="20%" align="right">  <strong><font size=1 >'.number_format($impuestofam, 2).'</font></strong></td>
        <td width="20%" align="right">  <strong><font size=1 >'.number_format($totalfam, 2).'</font></strong></td>
	
      </tr>

      
  </table>';
  	
	
$codigoHTML.='
   <table width="100%" height="15" role="rows" cellpadding="0" cellspacing="0" border="1">
     <tr>
       <td height="15"><table width="100%" border="0" cellpadding="0" cellspacing="0">
         <tr>
            <td width="120%" height="12" align="left"><strong><font size=2 > TOTALES FINALES</font></strong></td>
            <td width="20%" align="right"><strong><font size=1 ></font></strong></td>
               <td width="20%" align="right"><strong><font size=1 >'.number_format($cantidad, 3).'</font></strong></td>
			  <td width="20%" align="right"><strong><font size=1 >'.number_format($importe, 2).'</font></strong></td>
              <td width="20%" align="right"><strong><font size=1 >'.number_format($mondes, 2).'</font></strong></td>
			  <td width="20%" align="right"><strong><font size=1 >'.number_format($impuesto, 2).'</font></strong></td>
		      <td width="20%" align="right"><strong><font size=1 >'.number_format($total, 2).'</font></strong></td>
         </tr>
       </table></td>
     </tr>
   </table>
   <p>';
   
    
$codigoHTML.='

   </p>

</div>
</body>
</html>';

$codigoHTML=utf8_decode($codigoHTML);
$dompdf=new DOMPDF();
$dompdf->set_paper( "A4", "landscape" ); // a4,horizontal
$dompdf->load_html($codigoHTML);
$dompdf->render();
// add the header
//$canvas = $dompdf->get_canvas();
//$font = Font_Metrics::get_font("helvetica", "bold");

// the same call as in my previous example
//$canvas->page_text(745, 555, "Pagina : {PAGE_NUM} de {PAGE_COUNT}",
//                   $font, 8, array(0,0,0));

ini_set("memory_limit","7000M");

$dompdf->stream("Reporte Ventas x Familia.pdf", array("Attachment" => false));



?>
